> Put up amazing UIs in one go - complete with styling and automatic functionality without leaving HTML!

# CHTML
CHTML is a suite of short specifications and technologies that bring a component architecture to the HTML language itself. This lets you create your UI and its components entirely in HTML.

A pure-HTML approach is new and requires no build tools, nor compilers, nor even a template syntax!

## Overview
CHTML is centered on using the web platform itself to put up elegant user interfaces. A few specifications and technologies come into play here to ease out platform limitions that have made this difficult to do.
+ [**Scoped HTML**](https://docs.web-native.dev/chtml/guide/scoped-html) - Scope-based markup pattern that lets us break an HTML document into smaller-sized structural boundaries.
+ [**Scoped JS**](https://docs.web-native.dev/chtml/guide/scoped-js) - JavaScript-based presentational logic that works within the realms of its containing element.
+ [**Scoped CSS**](https://docs.web-native.dev/chtml/guide/scoped-css) - CSS styling that is only applicable to its containing element and its descendants.
+ [**Micro Modules**](https://docs.web-native.dev/chtml/guide/micro-modules) - An import/export distribution system that lets us define, use, and extend HTML components.

While all four technologies fit together seamlessly, they can also be used independently.

## Documentation
Visit the official documentation at [docs.web-native.dev/chtml/](https://docs.web-native.dev/chtml/).

## Issues
To report bugs or request features, please submit an issue to this repository.

## License
MIT.